Package org.codehaus.groovy.control.messages

# Class SimpleMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.SimpleMessage

Direct Known Subclasses:
  `LocatedMessage`

    public class SimpleMessage
    extends Message

A base class for compilation messages.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.Object` | `data` |
  `protected java.lang.String` | `message` |
  `protected ProcessingUnit` | `owner` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleMessage​(java.lang.String message, java.lang.Object data, ProcessingUnit source)` |
  `SimpleMessage​(java.lang.String message, ProcessingUnit source)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getMessage()` |
  `void` | `write​(java.io.PrintWriter writer, Janitor janitor)` | Writes the message to the specified PrintWriter.

  ### Methods inherited from class org.codehaus.groovy.control.messages.Message

  `create, create, create, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### message

    protected java.lang.String message

  - ### data

    protected java.lang.Object data

  - ### owner

    protected ProcessingUnit owner

- ## Constructor Details

  - ### SimpleMessage

    public SimpleMessage​(java.lang.String message, ProcessingUnit source)

  - ### SimpleMessage

    public SimpleMessage​(java.lang.String message, java.lang.Object data, ProcessingUnit source)

- ## Method Details

  - ### write

    public void write​(java.io.PrintWriter writer, Janitor janitor)
    Description copied from class: `Message`
    Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.
    Specified by:
      `write` in class `Message`

  - ### getMessage

    public java.lang.String getMessage()